> ## Documentation Index
> Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a job

> Returns details of a specific job.



## OpenAPI

````yaml https://api.strait.dev/reference/openapi.json get /v1/jobs/{jobID}
openapi: 3.1.0
info:
  description: >-
    Production-grade job orchestration platform for background jobs, workflows,
    and managed execution.
  title: Strait API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.strait.dev
security: []
paths:
  /v1/jobs/{jobID}:
    get:
      tags:
        - Jobs
      summary: Get a job
      description: Returns details of a specific job.
      operationId: get-job
      parameters:
        - in: path
          name: jobID
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Job'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unprocessable Entity
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Job:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.strait.dev/schemas/Job.json
          format: uri
          readOnly: true
          type: string
        allowed_tools:
          items:
            type: string
          type:
            - array
            - 'null'
        backwards_compatible:
          type: boolean
        batch_max_size:
          format: int64
          type: integer
        batch_window_secs:
          format: int64
          type: integer
        blocked_tools:
          items:
            type: string
          type:
            - array
            - 'null'
        created_at:
          format: date-time
          type: string
        created_by:
          type: string
        cron:
          type: string
        cron_overlap_policy:
          type: string
        debounce_window_secs:
          format: int64
          type: integer
        dedup_window_secs:
          format: int64
          type: integer
        default_run_metadata:
          additionalProperties:
            type: string
          type: object
        description:
          type: string
        dlq_alert_threshold:
          format: int64
          type: integer
        enabled:
          type: boolean
        endpoint_url:
          type: string
        environment_id:
          type: string
        execution_mode:
          type: string
        execution_window_cron:
          type: string
        fallback_endpoint_url:
          type: string
        group_id:
          type: string
        id:
          type: string
        image_uri:
          type: string
        machine_preset:
          type: string
        max_attempts:
          format: int64
          type: integer
        max_concurrency:
          format: int64
          type: integer
        max_concurrency_per_key:
          format: int64
          type: integer
        max_iterations_per_run:
          format: int64
          type: integer
        max_tokens_per_run:
          format: int64
          type: integer
        max_tool_calls_per_run:
          format: int64
          type: integer
        name:
          type: string
        on_complete_payload_mapping: {}
        on_complete_trigger_job:
          type: string
        on_complete_trigger_workflow:
          type: string
        on_failure_payload_mapping: {}
        on_failure_trigger_job:
          type: string
        on_failure_trigger_workflow:
          type: string
        pause_reason:
          type: string
        paused:
          type: boolean
        paused_at:
          format: date-time
          type: string
        payload_schema: {}
        poison_pill_threshold:
          format: int64
          type: integer
        preferred_regions:
          items:
            type: string
          type:
            - array
            - 'null'
        project_id:
          type: string
        queue_depth_alert_threshold:
          format: int64
          type: integer
        rate_limit_keys:
          items:
            $ref: '#/components/schemas/RateLimitKey'
          type:
            - array
            - 'null'
        rate_limit_max:
          format: int64
          type: integer
        rate_limit_window_secs:
          format: int64
          type: integer
        region:
          type: string
        result_schema: {}
        retry_delays_secs:
          items:
            format: int64
            type: integer
          type:
            - array
            - 'null'
        retry_priority_boost:
          format: int64
          type: integer
        retry_strategy:
          type: string
        run_ttl_secs:
          format: int64
          type: integer
        slug:
          type: string
        tags:
          additionalProperties:
            type: string
          type: object
        timeout_secs:
          format: int64
          type: integer
        timezone:
          type: string
        updated_at:
          format: date-time
          type: string
        updated_by:
          type: string
        version:
          format: int64
          type: integer
        version_id:
          type: string
        version_policy:
          type: string
        webhook_url:
          type: string
      required:
        - id
        - project_id
        - name
        - slug
        - endpoint_url
        - max_attempts
        - timeout_secs
        - enabled
        - paused
        - version
        - created_at
        - updated_at
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.strait.dev/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    RateLimitKey:
      additionalProperties: false
      properties:
        max:
          format: int64
          type: integer
        name:
          type: string
        window_secs:
          format: int64
          type: integer
      required:
        - name
        - max
        - window_secs
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: strait_...
      description: API key passed as Bearer token
      scheme: bearer
      type: http

````